bigip_smtp – Manages SMTP settings on the BIG-IP — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_smtp – Manages SMTP settings on the BIG-IP

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allows configuring of the BIG-IP to send mail via an SMTP server by configuring the parameters of an SMTP server.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
authentication boolean | Choices: no yes | Credentials can be set on an SMTP server's configuration even if that authentication is not used (think staging configs or emergency changes). This parameter acts as a switch to make the specified `smtp_server_username` and `smtp_server_password` parameters active or not. When `yes`, the authentication parameters will be active. When `no`, the authentication parameters will be inactive.
encryption string | Choices: none ssl tls | Specifies whether the SMTP server requires an encrypted connection in order to send mail.
from_address string |  | Email address that the email is being sent from. This is the "Reply-to" address that the recipient sees.
local_host_name string |  | Host name used in SMTP headers in the format of a fully qualified domain name. This setting does not refer to the BIG-IP system's hostname.
name string / required |  | Specifies the name of the SMTP server configuration.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
smtp_server string |  | SMTP server host name in the format of a fully qualified domain name. This value is required when create a new SMTP configuration.
smtp_server_password string |  | Password that the SMTP server requires when validating a user.
smtp_server_port integer |  | Specifies the SMTP port number. When creating a new SMTP configuration, the default is `25` when `encryption` is `none` or `tls`. The default is `465` when `ssl` is selected.
smtp_server_username string |  | User name that the SMTP server requires when validating a user.
state string | Choices: present ← absent | When `present`, ensures that the SMTP configuration exists. When `absent`, ensures that the SMTP configuration does not exist.
update_password string | Choices: always ← on_create | Passwords are stored encrypted, so the module cannot know if the supplied `smtp_server_password` is the same or different than the existing password. This parameter controls the updating of the `smtp_server_password` credential. When `always`, will always update the password. When `on_create`, will only set the password for newly created SMTP server configurations.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a base SMTP server configuration
      bigip_smtp:
        name: my-smtp
        smtp_server: 1.1.1.1
        smtp_server_username: mail-admin
        smtp_server_password: mail-secret
        local_host_name: smtp.mydomain.com
        from_address: no-reply@mydomain.com
        state: present
        provider:
          user: admin
          password: secret
          server: lb.mydomain.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
authentication boolean | changed | Whether the authentication parameters are active or not. Sample: True
encryption string | changed | The new `encryption` value of the SMTP configuration. Sample: tls
from_address string | changed | The new `from_address` value of the SMTP configuration. Sample: no-reply@mydomain.com
local_host_name string | changed | The new `local_host_name` value of the SMTP configuration. Sample: smtp.mydomain.com
smtp_server string | changed | The new `smtp_server` value of the SMTP configuration. Sample: mail.mydomain.com
smtp_server_port integer | changed | The new `smtp_server_port` value of the SMTP configuration. Sample: 25

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.